import { HttpClient } from '@angular/common/http';
import { ReverseOptions, ReverseGeometry, SuggestOptions, LookupOptions, SuggestObjectWithHighlight } from './locatieserver.model';
import * as i0 from "@angular/core";
export declare class GeocoderService {
    private http;
    geocoderBaseUrl: string;
    constructor(http: HttpClient);
    suggest$(query: string, options?: SuggestOptions): import("rxjs").Observable<{
        collations: any[];
        places: SuggestObjectWithHighlight[];
    }>;
    lookup$(id: string, options?: LookupOptions): import("rxjs").Observable<{}>;
    free$(searchTerm: string, options?: SuggestOptions): import("rxjs").Observable<any[]>;
    reverse$(location: ReverseGeometry, options?: ReverseOptions): import("rxjs").Observable<any[]>;
    private formatCollations;
    private formatPlaces;
    /**
     * Parse WKT in lookup response.
     */
    private formatLookupResponse;
    private formatReverseResponse;
    static ɵfac: i0.ɵɵFactoryDeclaration<GeocoderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GeocoderService>;
}
